complexType "BusinessCenters"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 1 element
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | businessCenter*
</...>

Content Model Elements (1):

  businessCenter (defined in BusinessCenters complexType)

All Direct / Indirect Based Elements (2):

  businessCenters (defined in BusinessCentersOrReference.model group),
  businessCenters (in executionPeriodDates)

Known Usage Locations

- As direct type of elements (2):
  businessCenters (defined in BusinessCentersOrReference.model group),
  businessCenters (in executionPeriodDates)

Annotation
A type for defining business day calendar used in determining whether a day is a business day or not. A list of business day calendar locations may be ordered in the document alphabetically based on business day calendar location code. An FpML document containing an unordered business day calendar location list is still regarded as a conformant document.
XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="BusinessCenters"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="businessCenter" type="BusinessCenter"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 1/1)
businessCenter

  Type: | BusinessCenter, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="businessCenter" type="BusinessCenter"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.